> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.textimagerelation.md).

# TextImageRelation

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the position of the text and image relative to each other on a control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TextImageRelation : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TextImageRelation As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                | Description                                                                      |
| ------------------- | -------------------------------------------------------------------------------- |
| **ImageAboveText**  | Specifies that the image is displayed vertically above the text of a control.    |
| **ImageBeforeText** | Specifies that the image is displayed horizontally before the text of a control. |
| **Overlay**         | Specifies that the image and text share the same space on a control.             |
| **TextAboveImage**  | Specifies that the text is displayed vertically above the image of a control.    |
| **TextBeforeImage** | Specifies that the text is displayed horizontally before the image of a control. |

## Used By

| Name                                                                                                                                                   | Description                                                                                                        |
| ------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------ |
| [ButtonBase.TextImageRelation](/api/wisej.web/buttons/wisej.web.buttonbase.md#textimagerelation)                                                       | Returns or sets the position of text and image relative to each other.                                             |
| [ButtonExtensions.TextImageRelation](/api/wisej.web.markup/extensions/wisej.web.markup.buttonextensions.md#textimagerelation-button-textimagerelation) | Sets the TextImageRelation property of the specified [ButtonBase](/api/wisej.web/buttons/wisej.web.buttonbase.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.textimagerelation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
